<?php
#########################################
# Скрипт онлайн игры "Стритрейсинг"_____#
# Автор: -=FеST=-(СиК)__________________#
# ICQ : 345-22-23_______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='Стритрейсинг';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `racing` WHERE `id_u`='".$user['id']."'"),0)==0)
mysql_query("INSERT INTO `racing`(`id_u`) VALUES('".$user['id']."')");
  $arr=mysql_fetch_array(mysql_query("SELECT * FROM `racing` WHERE `id_u`='".$user['id']."'"));
  $car=mysql_fetch_array(mysql_query("SELECT * FROM `racing_car` WHERE `id`='".$arr['car']."'")); 
  if($arr['color']!='0'){
if($arr['color']==1)
$color='red_';
elseif($arr['color']==2)
$color='blue_';
elseif($arr['color']==3)
$color='green_'; 
}
if(isset($_GET['tun'])){
if(isset($_GET['cz'])){
if(isset($_POST['submit'])){
if($arr['cz']<6){
if($arr['money']>=intval($arr['cz']*2700)){
mysql_query("UPDATE `racing` SET `speed`=`speed`+".($arr['cz']*7).", `uprav`=`uprav`+".intval($arr['cz']*4).", `money`=`money`-".($arr['cz']*2700).", `cz`=`cz`+1 WHERE `id_u`='".$user['id']."'");
msg('Тюнинг прошел успешно!');
}
else
{
echo "Нехватает денег для покупки<br/>";
}}
else
{
echo "Детали успешно обновлены до самого высокого уровня<br/>";
}
}
echo "<div class='post'><img src='ico/cz.png' alt=''/><br/>
Сцепление - уровень ".$arr['cz']."<br/>
Скорость : + ".intval($arr['cz']*7)."<br/>
Управляемость : + ".intval($arr['cz']*4)."<br/>
Деньги : - ".intval($arr['cz']*2700)."
<form method='post' action='garage.php?tun&amp;cz'>
<input type='submit' name='submit' value='Улушить'/></form></div>";
echo "<div class='aut'><a style='display:block;' href='garage.php?tun'><img src='ico/back.png' alt=''/> Тюнинг</a><br/>
<a style='display:block;' href='garage.php'><img src='ico/back.png' alt=''/> В гараж</a><br/><a style='display:block;' href='index.php'><img src='ico/back.png' alt=''/> Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}

if(isset($_GET['vpusk'])){
if(isset($_POST['submit'])){
if($arr['vpusk']<6){
if($arr['money']>=intval($arr['vpusk']*2500)){
mysql_query("UPDATE `racing` SET `speed`=`speed`+".($arr['vpusk']*7).", `uprav`=`uprav`+".intval($arr['vpusk']*1).", `money`=`money`-".($arr['vpusk']*2500).", `vpusk`=`vpusk`+1 WHERE `id_u`='".$user['id']."'");
msg('Тюнинг прошел успешно!');
}
else
{
echo "Нехватает денег для покупки<br/>";
}}
else
{
echo "Детали успешно обновлены до последнего уровня<br/>";
}
}
echo "<div class='post'><img src='ico/vpusk.png' alt=''/><br/>
Впуск - уровень ".$arr['vpusk']."<br/>
Скорость : + ".intval($arr['vpusk']*7)."<br/>
Управляемость : + ".intval($arr['vpusk']*1)."<br/>
Деньги : - ".intval($arr['vpusk']*2500)."
<form method='post' action='garage.php?tun&amp;vpusk'>
<input type='submit' name='submit' value='Улушить'/></form></div>";
echo "<div class='aut'><a style='display:block;' href='garage.php?tun'><img src='ico/back.png' alt=''/> Тюнинг</a><br/>
<a style='display:block;' href='garage.php'><img src='ico/back.png' alt=''/> В гараж</a><br/><a style='display:block;' href='index.php'><img src='ico/back.png' alt=''/> Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}

if(isset($_GET['podv'])){
if(isset($_POST['submit'])){
if($arr['podv']<6){
if($arr['money']>=intval($arr['podv']*1000)){
mysql_query("UPDATE `racing` SET `speed`=`speed`+".($arr['podv']*2).", `uprav`=`uprav`+".intval($arr['podv']*5).", `money`=`money`-".($arr['podv']*1000).", `podv`=`podv`+1 WHERE `id_u`='".$user['id']."'");
msg('Тюнинг прошел успешно!');
}
else
{
echo "Нехватает денег для покупки<br/>";
}}
else
{
echo "Детали успешно обновленны до последнего уровня<br/>";
}
}
echo "<div class='post'><img src='ico/podv.png' alt=''/><br/>
Подвеска - уровень ".$arr['podv']."<br/>
Скорость : + ".intval($arr['podv']*2)."<br/>
Управляемость : + ".intval($arr['podv']*5)."<br/>
Деньги : - ".intval($arr['podv']*1000)."
<form method='post' action='garage.php?tun&amp;podv'>
<input type='submit' name='submit' value='Улушить'/></form></div>";
echo "<div class='aut'><a style='display:block;' href='garage.php?tun'><img src='ico/back.png' alt=''/> Тюнинг</a><br/>
<a style='display:block;' href='garage.php'><img src='ico/back.png' alt=''/> В гараж</a><br/><a style='display:block;' href='index.php'><img src='ico/back.png' alt=''/> Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}
if(isset($_GET['za'])){
if(isset($_POST['submit'])){
if($arr['za']<6){
if($arr['money']>=intval($arr['za']*1000)){
mysql_query("UPDATE `racing` SET `speed`=`speed`+".($arr['za']*5).", `uprav`=`uprav`+".intval($arr['za']*1).", `money`=`money`-".($arr['za']*1000).", `za`=`za`+1 WHERE `id_u`='".$user['id']."'");
msg('Тюнинг прошел успешно!');
}
else
{
echo "Нехватает денег для покупки<br/>";
}}
else
{
echo "Детали успешно обновлены до последнего уровня<br/>";
}
}
echo "<div class='post'><img src='ico/za.png' alt=''/><br/>
Зажигание - уровень ".$arr['za']."<br/>
Скорость : + ".intval($arr['za']*5)."<br/>
Управляемость : + ".intval($arr['za']*1)."<br/>
Деньги : - ".intval($arr['za']*1000)."
<form method='post' action='garage.php?tun&amp;za'>
<input type='submit' name='submit' value='Улушить'/></form></div>";
echo "<div class='aut'><a style='display:block;' href='garage.php?tun'><img src='ico/back.png' alt=''/> Тюнинг</a><br/>
<a style='display:block;' href='garage.php'><img src='ico/back.png' alt=''/> В гараж</a><br/><a style='display:block;' href='index.php'><img src='ico/back.png' alt=''/> Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}
if(isset($_GET['zak'])){
if(isset($_POST['submit'])){
if($arr['zak']<6){
if($arr['money']>=intval($arr['zak']*1500)){
mysql_query("UPDATE `racing` SET `speed`=`speed`+".($arr['zak']*5).", `uprav`=`uprav`+".intval($arr['zak']*1).", `money`=`money`-".($arr['zak']*1500).", `zak`=`zak`+1 WHERE `id_u`='".$user['id']."'");
msg('Тюнинг прошел успешно!');
}
else
{
echo "Нехватает денег для покупки<br/>";
}}
else
{
echo "Детали успешно обновлены до последнего уровня<br/>";
}
}
echo "<div class='post'><img src='ico/zak.png' alt=''/><br/>
Закись азота - уровень ".$arr['zak']."<br/>
Скорость : + ".intval($arr['zak']*5)."<br/>
Управляемость : + ".intval($arr['zak']*1)."<br/>
Деньги : - ".intval($arr['zak']*1500)."
<form method='post' action='garage.php?tun&amp;zak'>
<input type='submit' name='submit' value='Улушить'/></form></div>";
echo "<div class='aut'><a style='display:block;' href='garage.php?tun'><img src='ico/back.png' alt=''/> Тюнинг</a><br/>
<a style='display:block;' href='garage.php'><img src='ico/back.png' alt=''/> В гараж</a><br/><a style='display:block;' href='index.php'><img src='ico/back.png' alt=''/> Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}
if(isset($_GET['shina'])){
if(isset($_POST['submit'])){
if($arr['shina']<6){
if($arr['money']>=intval($arr['shina']*500)){
mysql_query("UPDATE `racing` SET `speed`=`speed`+".($arr['shina']*2).", `uprav`=`uprav`+".intval($arr['shina']*3).", `money`=`money`-".($arr['shina']*500).", `shina`=`shina`+1 WHERE `id_u`='".$user['id']."'");
msg('Тюнинг прошел успешно!');
}
else
{
echo "Нехватает денег для покупки<br/>";
}
}
else
{
echo "Детали успешно обновлены до последнего уровня<br/>";
}
}
echo "<div class='post'><img src='ico/shina.png' alt=''/><br/>
Шины - уровень ".$arr['shina']."<br/>
Скорость : + ".intval($arr['shina']*2)."<br/>
Управляемость : + ".intval($arr['shina']*3)."<br/>
Деньги : - ".intval($arr['shina']*500)."
<form method='post' action='garage.php?tun&amp;shina'>
<input type='submit' name='submit' value='Улушить'/></form></div>";
echo "<div class='aut'><a style='display:block;' href='garage.php?tun'><img src='ico/back.png' alt=''/> Тюнинг</a><br/>
<a style='display:block;' href='garage.php'><img src='ico/back.png' alt=''/> В гараж</a><br/><a style='display:block;' href='index.php'><img src='ico/back.png' alt=''/> Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}
echo "<div class='post'><img src='ico/shina.png' alt=''/> <a href='garage.php?tun&amp;shina'>Шины</a> (ур. ".$arr['shina'].")</div>
<div class='post'><img src='ico/zak.png' alt=''/> <a href='garage.php?tun&amp;zak'>Закись азота</a> (ур. ".$arr['zak'].")</div>
<div class='post'><img src='ico/podv.png' alt=''/> <a href='garage.php?tun&amp;podv'>Подвеска</a> (ур. ".$arr['podv'].")</div>
<div class='post'><img src='ico/vpusk.png' alt=''/> <a href='garage.php?tun&amp;vpusk'>Впуск</a> (ур. ".$arr['vpusk'].")</div>
<div class='post'><img src='ico/cz.png' alt=''/> <a href='garage.php?tun&amp;cz'>Сцепление</a> (ур. ".$arr['cz'].")</div>
<div class='post'><img src='ico/za.png' alt=''/> <a href='garage.php?tun&amp;za'>Зажигание</a> (ур. ".$arr['za'].")</div>
<div class='aut'><a style='display:block;' href='garage.php'><img src='ico/back.png' alt=''/> В гараж</a></div>";
}
if(isset($_GET['sost'])){
echo "<center><img src='".$car['screen']."' alt=''/> <br/>".$car['name']."</center>
<div class='aut'>Характеристики авто</div>
<div class='rowup'>
<img src='ico/race.gif' alt=''/> Скорость : ".$arr['speed']." км/ч<br/>
<img src='ico/race.gif' alt=''/> Управление : ".$arr['uprav']."<br/>
<img src='ico/race.gif' alt=''/> Окись азота : ".$arr['zak']." ур<br/>
<img src='ico/race.gif' alt=''/> Сцепление : ".$arr['cz']." ур<br/>
<img src='ico/race.gif' alt=''/> Подвеска : ".$arr['podv']." ур<br/>
<img src='ico/race.gif' alt=''/> Впуск : ".$arr['vpusk']." ур<br/>
<img src='ico/race.gif' alt=''/> Шины : ".$arr['shina']." ур<br/>
<img src='ico/race.gif' alt=''/> Зажигание : ".$arr['za']." ур<br/>
</div>
<div class='aut'>Характеристики пилота</div>
<div class='rowup'>
<img src='ico/win.gif' alt=''/> Побед : ".$arr['win']."/".$arr['nextlevel']." ".($arr['win']>=$arr['nextlevel'] ? "[<a href='update.php'>+</a>]" : "")."<br/>
<img src='ico/lose.gif' alt=''/> Поражений : ".$arr['lose']."<br/>
<img src='ico/exp.gif' alt=''/> Опыт : ".$arr['exp']."<br/>
<img src='ico/level.gif' alt=''/> Уровень : ".$arr['level']."<br/>
<img src='ico/money.gif' alt=''/> Деньги : ".$arr['money']."<br/>
<img src='ico/resp.gif' alt=''/> Репутация : ".$arr['resp']."<br/>
<img src='ico/samoobl.gif' alt=''/> Самообладание : ".$arr['samoobl']."<br/>
<img src='ico/reak.gif' alt=''/> Реакция : ".$arr['reak']."</div>";
}
if(isset($_GET['color']) && $arr['car']!=1){
if(isset($_GET['red'])){
if($arr['money']>=150){
mysql_query("UPDATE `racing` SET `color`='1', `money`=`money`-150 WHERE `id`='".$user['id']."'");
header("Location:index.php");
exit;
}
else
{
msg('У вас не хватает денег');
}}
elseif(isset($_GET['blue'])){
if($arr['money']>=150){
mysql_query("UPDATE `racing` SET `color`='2', `money`=`money`-150 WHERE `id`='".$user['id']."'");
header("Location:index.php");
exit;
}
else
{
msg('У вас не хватает денег');
}}
elseif(isset($_GET['green'])){
if($arr['money']>=150){
mysql_query("UPDATE `racing` SET `color`='2', `money`=`money`-150 WHERE `id`='".$user['id']."'");
header("Location:index.php");
exit;
}
else
{
msg('У вас не хватает денег');
}}
elseif(isset($_GET['ser'])){
if($arr['money']>=150){
mysql_query("UPDATE `racing` SET `color`='0', `money`=`money`-150 WHERE `id`='".$user['id']."'");
header("Location:index.php");
exit;
}
else
{
msg('У вас не хватает денег');
}}



echo "Текущий цвет <br/>

<img src='car/".(isset($color) ? "".$color."".$car['screen']."" : "".$car['screen']."")."' alt=''/> <br/>".$car['name']."
<br/>
Заменить на :
<br/>
<img src='car/".$car['screen']."' alt=''/><br/>
<a href='garage.php?color&amp;ser'>Серый</a> (150)
<hr/>
<img src='car/red_".$car['screen']."' alt=''/><br/>
<a href='garage.php?color&amp;red'>Красный</a> (150)
<hr/>
<img src='car/blue_".$car['screen']."' alt=''/><br/>
<a href='garage.php?color&amp;blue'>Синий</a> (150)
<hr/>
<img src='car/green_".$car['screen']."' alt=''/><br/>
<a href='garage.php?color&amp;green'>Зеленый</a> (150)
<hr/>";
}






 if(!isset($_GET['tun']) && !isset($_GET['sost']) && !isset($_GET['color'])){
echo "

<center><img src='car/".(isset($color) ? "".$color."".$car['screen']."" : "".$car['screen']."")."' alt=''/> <br/>".$car['name']."</center>
<div class='rowup'>
<img src='ico/ico.gif' alt=''/><a href='garage.php?tun'> Тюнинг</a><br/>
<img src='ico/ico.gif' alt=''/>".($arr['car']==1 ? "Сменить цвет [недоступно]" : "<a href='garage.php?color'> Изменить цвет</a>")."<br/>
<img src='ico/ico.gif' alt=''/><a href='garage.php?sost'> Состояние авто</a><br/></div>
";
}
echo "<div class='aut'><a style='display:block;' href='index.php'><img src='ico/back.png' alt=''/> Назад</a></div>";


include_once '../sys/inc/tfoot.php';
?>